"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function createAction(typeString, creatorFunction) {
    let actionCreator;
    if (creatorFunction != null) {
        if (typeof creatorFunction !== 'function') {
            throw new Error('second argument is not a function');
        }
        actionCreator = creatorFunction;
    }
    else {
        actionCreator = () => ({ type: typeString });
    }
    if (typeString != null) {
        if (typeof typeString !== 'string') {
            throw new Error('first argument is not a type string');
        }
        actionCreator.getType = () => typeString;
    }
    else {
        throw new Error('first argument is missing');
    }
    return actionCreator;
}
exports.createAction = createAction;
//# sourceMappingURL=create-action.js.map